#!/bin/bash
##
## This script is used to start a job in the background
## and return the JOB_ID to the caller.
## Options/parameters for the job are expected to be
## in the file that is given as the only parameter.
##

## JOB ID is the process id of the current script
export JOB_ID=$$
export JOB_OPTIONS=$1

## Read other parameters
source ${JOB_OPTIONS}

## Write status information
echo "Name: ${JOB_NAME}" > ${STATUS_FILE} 
echo "Host: `hostname`" >> ${STATUS_FILE}
echo "Submitted: `date +'%Y-%m-%d %T'`" >> ${STATUS_FILE}

## Start job.sh in the background
nohup /bin/bash ${WD}/run.sh > ${SGE_STDOUT_PATH} 2> ${SGE_STDERR_PATH} &

## Returns the job id to the submitter
echo ${JOB_ID}
